Get Attestation
curl --request GET \
--url https://api.truthlocks.com/v1/attestations/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.truthlocks.com/v1/attestations/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/attestations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kid": "<string>",
"payload": {},
"signature": "<string>",
"log_index": 123,
"created_at": "2023-11-07T05:31:56Z"
}Attestations
Get Attestation
Returns details for a specific attestation.
GET
/
v1
/
attestations
/
{id}
Get Attestation
Retrieves a specific attestation by its unique ID. Returns the full attestation payload, signature, and status information.
Parameters
string
required
The UUID of the attestation to retrieve
Responses
Authorizations
API key for machine-to-machine authentication
Path Parameters
⌘I

